Description

This is a simple guide on setting up a Trytond server on FreeBSD 9.2.

e Update packages and ports tree:

pkg update && pkg upgrade
portsnap fetch extract

Install MariaDB server

e Start by installing the mariadb-server and mariadb-client packages:

pkg install mariadb55-{server,client}

Configure MariaDB server

e Copy a base MariaDB configuration to use
cp /usr/local/share/mysql/my-small.cnf /var/db/mysqgl/my.cnf
e Tuning: Copy one of the default config files and change the max packet size:

vi /var/db/mysgl/my.cnf

o and modify max_allowed_packet to 32M
max_allowed_packet = 32M
e Enable and start MariaDB

echo 'mysgl_enable="YES"' >> /etc/rc.conf
service mysgl-server start

* Prepare Database for use by running the secure installation. Choose a root password and answer yes to all questions.

mysgl_secure_installation

Create MariaDB Databases and Users
® Login to MariaDB and create appropriate databases and users.

mysgl —-u root -p

o and run the following SQL queries to create the trytond database and user:

CREATE DATABASE trytond CHARACTER SET utf8;
CREATE USER 'trytond'@'127.0.0.1' IDENTIFIED BY 'SecretSecretPassword';
GRANT ALL PRIVILEGES ON trytond.* TO 'trytond'@'127.0.0.1';

flush privileges;

Create Trytond Database Scheme

® | og into mysql and switch the trytond database:

mysgl —-u root -p
USE trytond;

o And add the following:

CREATE TABLE ir_configuration (
id BIGINT AUTO_INCREMENT NOT NULL,
language VARCHAR (255),
PRIMARY KEY (id)

) ENGINE=InnoDB;

CREATE TABLE ir model (
id BIGINT AUTO_INCREMENT NOT NULL,
model VARCHAR (255) NOT NULL,
name VARCHAR (255),
info TEXT,
module VARCHAR (255),
PRIMARY KEY (id)
) ENGINE=InnoDB;

CREATE TABLE ir_model_field (
id BIGINT AUTO_INCREMENT NOT NULL,
model BIGINT,
name VARCHAR (255) NOT NULL,
relation VARCHAR (255),
field description VARCHAR (255),
ttype VARCHAR (255),
help VARCHAR (255),
module VARCHAR (255),
PRIMARY KEY (id),
CONSTRAINT ir_model_field model_fkey FOREIGN KEY (model) REFERENCES ir_model
ELETE CASCADE
) ENGINE=InnoDB;

CREATE TABLE ir_ui_view (
id BIGINT AUTO_INCREMENT NOT NULL,
model VARCHAR (255) NOT NULL,
type VARCHAR (255),
data TEXT NOT NULL,
field_childs VARCHAR (255),
priority BIGINT NOT NULL default O,
PRIMARY KEY (id)
) ENGINE=InnoDB;

CREATE TABLE ir_ui_menu (

id BIGINT AUTO_INCREMENT NOT NULL,

parent BIGINT,

name VARCHAR (255) NOT NULL,

icon VARCHAR (255),

PRIMARY KEY (id),

CONSTRAINT ir_ui_menu_parent_fkey FOREIGN KEY
ELETE SET NULL
) ENGINE=InnoDB;

(parent)

CREATE TABLE ir_translation (
id BIGINT AUTO_INCREMENT NOT NULL,
lang VARCHAR(255),
src TEXT,
src_md5 VARCHAR (32) NOT NULL,
name VARCHAR (255) NOT NULL,
res_id BIGINT,
value TEXT,
type VARCHAR (255),
module VARCHAR (255),
fuzzy BOOLEAN NOT NULL,
PRIMARY KEY (id)

) ENGINE=InnoDB;

CREATE TABLE ir_lang (
id BIGINT AUTO_INCREMENT NOT NULL,
name VARCHAR (255) NOT NULL,
code TEXT NOT NULL,
translatable BOOLEAN NOT NULL,
active BOOLEAN NOT NULL,
direction VARCHAR(255) NOT NULL,
PRIMARY KEY (id)

) ENGINE=InnoDB;

CREATE TABLE res_user (
id BIGINT AUTO_INCREMENT NOT NULL,
name VARCHAR (255) NOT NULL,
active BOOLEAN NOT NULL,
login VARCHAR (255) NOT NULL,
password VARCHAR (40),
PRIMARY KEY (id)

) ENGINE=InnoDB;

ALTER TABLE res_user ADD CONSTRAINT res_user_login_unig UNIQUE

INSERT INTO res_user active)
False);
UPDATE res_user set id = 0;

ALTER TABLE res_user AUTO_INCREMENT

(id, login, password, name,

1;
CREATE TABLE res_group (
id BIGINT AUTO_INCREMENT NOT NULL,
name VARCHAR (255) NOT NULL,
PRIMARY KEY (id)
) ENGINE=InnoDB;

CREATE TABLE "res_user-res_group (

‘user’ BIGINT NOT NULL,

‘group  BIGINT NOT NULL,

CONSTRAINT "res_user-res_group_user_fkey  FOREIGN KEY
) ON DELETE CASCADE,

CONSTRAINT "res_user-res_group_group_fkey"
(id) ON DELETE CASCADE
) ENGINE=InnoDB;

FOREIGN KEY
VALUES

REFERENCES ir_ui_menu (id) ON D

(login);

(0, 'root', NULL, 'Root',

(*user’) REFERENCES res_user (id

("group’) REFERENCES res_group
CREATE TABLE ir_module_module (

id BIGINT AUTO_INCREMENT NOT NULL,

create_uid BIGINT,

create_date TIMESTAMP NOT NULL,

write_date TIMESTAMP NULL,

write_uid BIGINT,

name VARCHAR (255) NOT NULL,

state VARCHAR (255),

PRIMARY KEY (id),

CONSTRAINT ir_module_module_create_uid_fkey FOREIGN KEY (create_uid) REFERENCES res_us
er (id) ON DELETE SET NULL,

CONSTRAINT ir_module_module_write_uid_fkey FOREIGN KEY (write_uid) REFERENCES res_user

(id) ON DELETE SET NULL

) ENGINE=InnoDB;

ALTER TABLE ir_module_module ADD CONSTRAINT name_unig UNIQUE (name) ;

CREATE TABLE ir_module_module_dependency (

id BIGINT AUTO_INCREMENT NOT NULL,

create_uid BIGINT,

create_date TIMESTAMP NOT NULL,

write_date TIMESTAMP NULL,

write_uid BIGINT,

name VARCHAR (255),

module BIGINT,

PRIMARY KEY (id),

CONSTRAINT ir_module_module_dependency_create_uid_fkey FOREIGN KEY (create_uid) REFERE
NCES res_user (id) ON DELETE SET NULL,

CONSTRAINT ir_module_module_dependency_write_uid_fkey FOREIGN KEY (write_uid) REFERENC
ES res_user (id) ON DELETE SET NULL,

CONSTRAINT ir_module_module_dependency_module_fkey FOREIGN KEY (module) REFERENCES ir_
module_module (id) ON DELETE CASCADE
) ENGINE=InnoDB;

Install Trytond

e |nstall Trytond
pkg install trytond28
e |nstall Tryton modules:

pkg install trytond28_account trytond28_account_asset trytond28_account_be trytond28_account_i
nvoice trytond28_account_invoice_history trytond28_account_invoice_line_standalone trytond28_a
ccount_product trytond28_account_statement trytond28_account_stock_anglo_saxon trytond28_accou
nt_stock_continental trytond28_analytic_account trytond28_analytic_invoice trytond28_analytic_
purchase trytond28_analytic_sale trytond28_calendar trytond28_calendar_classification trytond2
8_calendar_scheduling trytond28_calendar_todo trytond28_carrier trytond28_carrier_percentage t
rytond28_carrier_weight trytond28_company trytond28_company_work_time trytond28_country tryton
d28_currency trytond28_dashboard trytond28_google_maps trytond28_ldap_authentication trytond28
_ldap_connection trytond28_party trytond28_party_siret trytond28_party_vcarddav trytond28_prod
uct trytond28_product_attribute trytond28_product_cost_fifo trytond28_product_cost_history try
tond28_product_measurements trytond28_product_price_list trytond28_production trytond28_projec
t trytond28_project_invoice trytond28_project_plan trytond28_project_revenue trytond28_purchas
e trytond28_purchase_invoice_line_standalone trytond28_purchase_shipment_cost trytond28_sale t
rytond28_sale_opportunity trytond28_sale_price_list trytond28_sale_shipment_cost trytond28_sal
e_supply trytond28_sale_supply_drop_shipment trytond28_stock trytond28_stock_forecast trytond2
8_stock_inventory_location trytond28_stock_location_sequence trytond28_stock_lot trytond28_sto
ck_product_location trytond28_stock_split trytond28_stock_supply trytond28_stock_supply_day tr
ytond28_stock_supply_forecast trytond28_stock_supply_production trytond28_timesheet

04/10/2024 4/6




¢ |nstall py27-MySQLdb from ports:

cd /usr/ports/databases/py-MySQLdb
make install clean

NOTE: This package must be installed from ports or else the mariadb55-client package will be overwritten by the mysqgl55-client
package.

Configure Trytond

e Edit the Trytond configuration file

vi /usr/local/etc/trytond.conf

o Add/Modify the following:

jsonrpc trytond.exmaple.com:8000

db_type = mysqgl
db_host = 127.0.0.1
db_port = 3306
db_user = trytond
db_password = SuperSecretPassword
admin_passwd = SecretPassword

e Enable Trytond to start at boot:

echo 'trytond_enable="YES"' >> /etc/rc.conf

e Start Trytond:

service trytond start

Resources

e https://code.google.com/p/tryton/wiki/InstallationFreeBSD
¢ https:/github.com/tryton/trytond
e http://www.dalescott.net/?p=2771

History

#1 - 02/03/2015 09:01 PM - Daniel Curtis

- Description updated

#2 - 02/03/2015 09:21 PM - Daniel Curtis
- Description updated

- % Done changed from 0 to 20

#3 - 02/03/2015 09:29 PM - Daniel Curtis

- Description updated

#4 - 02/14/2015 10:48 AM - Daniel Curtis
- Target version set to FreeBSD 9

#5 - 02/14/2015 12:09 PM - Daniel Curtis

- Category set to Accounting Server

#6 - 06/16/2015 01:47 PM - Daniel Curtis

- Status changed from New to Suspended
